Version: 1.59
Release: alt3
Name: emacs-ruby-mode
Copyright: GPL
Group: Editors
Summary: Ruby mode for Emacs
Summary(ru_RU.KOI8-R):    Ruby  Emacs
Requires: emacs-common 

Source: %name-%version.tar.gz

BuildArch: noarch

# Automatically added by buildreq on Mon Mar 24 2003
BuildRequires: XFree86-libs XFree86-locales emacs-common emacs-jdee emacs-leim emacs-mode-auctex libXaw3d libjpeg libtiff libungif xpm

%description
Various packages for Emacs.

%description -l ru_RU.KOI8-R
   Ruby  Emacs


%prep
%setup -q

%build
for i in progs/*.el ; do 
	emacs -batch --eval "(progn 
	(setq load-path (append (list \".\")  load-path))
	(byte-compile-file \"$i\"))"
done

%install
mkdir -p $RPM_BUILD_ROOT%{_emacslispdir}/
mkdir -p $RPM_BUILD_ROOT/etc/emacs/site-start.d/
install -m 644 progs/*.el* $RPM_BUILD_ROOT%{_emacslispdir}/
install -m 644 initscript/ruby.el $RPM_BUILD_ROOT/etc/emacs/site-start.d/ruby.el

%files
%defattr(-, root, root)
%{_emacslispdir}/*.el*
/etc/emacs/site-start.d/ruby.el

%changelog
* Mon Mar 24 2003 Rider <rider@altlinux.ru> 1.59-alt3
- first build for ALT Linux

